<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    android:orientation="vertical">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/red"
        android:minHeight="?attr/actionBarSize"
        app:navigationIcon="@mipmap/icon_back_white"
        app:popupTheme="@style/ThemeOverlay.AppCompat.Light"
        app:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

        <TextView
            android:id="@+id/app_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="10dp"
            android:text="标题"
            android:textColor="@color/white"
            android:textSize="@dimen/textSize_18" />

        <TextView
            android:id="@+id/right_text"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:layout_gravity="right"
            android:layout_marginRight="@dimen/horizontal_margin_20"
            android:text="提交"
            android:textSize="@dimen/textSize_18"
            android:textColor="@color/text_black"
            android:visibility="gone"
            />
        <LinearLayout
            android:id="@+id/ll_right"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical|right"
            android:orientation="vertical"
            android:visibility="gone"
            android:paddingLeft="@dimen/horizontal_margin_20"
            android:paddingRight="@dimen/horizontal_margin_20">

            <ImageView
                android:id="@+id/right_icon"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_gravity="center" />
        </LinearLayout>
    </androidx.appcompat.widget.Toolbar>
</LinearLayout>